%define name     xqf
%define version  0.9.13
%define release  3mdk

%define title	XQF
%define longtitle A network game browser
%define section Amusement/Other

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{longtitle}
License:	GPL
Group:		Games/Other
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.linuxgames.com/xqf
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildRequires: libgdk-pixbuf-devel
Requires:	qstat >= 2.5c-4mdk
Requires:	gzip
Requires:	wget

%description
XQF is a network game browser (e.g. Quake, Sin, etc.). It helps you
locate and connect to game servers.  It has configurable server and
player filters so you can find a server running your favorite game type
or that has a buddy.

%prep
%setup -q

%build
%configure --with-qstat=%_bindir/qstat-quake
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="%{title}"\
longtitle="%{longtitle}"\
needs="x11"\
icon="%{name}.png"\
section="%{section}"
EOF

#Menu icons
install -D -m 644 %{buildroot}%{_datadir}/pixmaps/%{name}_22x22.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_datadir}/pixmaps/%{name}_32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_datadir}/pixmaps/%{name}_48x48.png %{buildroot}%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%doc docs/*html docs/PreLaunch.example
%{_bindir}/*
%{_mandir}/man6/xqf.*
%{_datadir}/xqf
%{_datadir}/pixmaps
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.13-3mdk
- qstat was renammed to qstat-quake

* Tue Dec 16 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-2mdk
- quiet setup & reupload

* Tue Dec 02 2003 Cameron Hart <cam@bitshifter.net.nz> 0.9.13-1mdk
- updated to latest release
- add Mandrake menu item

* Sat Jun 21 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.12-1mdk
- first mdk release

